IdealOrderer Class Referenceabstract

`#include <IdealOrderer.h>`

## Public Member Functions

virtual | ~IdealOrderer ()
void | order (Ideal &ideal) const

## Private Member Functions

virtual void | doOrder (Ideal &ideal) const =0

## Detailed Description

Definition at line 23 of file IdealOrderer.h.

## Constructor & Destructor Documentation

## ~IdealOrderer()

IdealOrderer::~IdealOrderer | ( |  | ) |

virtual

Definition at line 33 of file IdealOrderer.cpp.

## Member Function Documentation

## doOrder()

virtual void IdealOrderer::doOrder | ( | Ideal & | ideal | ) | const

private pure virtual

## order()

void IdealOrderer::order | ( | Ideal & | ideal | ) | const

inline

Definition at line 27 of file IdealOrderer.h.

The documentation for this class was generated from the following files:

- src/IdealOrderer.h
- src/IdealOrderer.cpp